// Code scaffolded by goctl. Safe to edit.
// goctl 1.10.1

package normal

import (
	"net/http"

	"gateway/internal/logic/normal"
	"gateway/internal/response"
	"gateway/internal/svc"
)

func PingHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := normal.NewPingLogic(r.Context(), svcCtx)
		data, err := l.Ping()
		response.Write(r.Context(), w, data, err)
	}
}
